%global rDNS    org.fooyin.fooyin

Name:           fooyin
Version:        0.4.5
Release:        %autorelease
Summary:        A customizable music player

License:        GPL-3.0-or-later
URL:            https://github.com/ludouzi/fooyin
Source:         %{url}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(KDSingleApplication-qt6)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(taglib)
Requires:       hicolor-icon-theme

%description
fooyin is a music player built around customization. It offers a growing list of 
widgets to manage and play your local music collection. It's extendable through 
the use of plugins, and many widgets make use of FooScript to offer an even 
deeper level of control.

Audio playback is supported by FFmpeg alongside multiple options for output 
including ALSA and PipeWire, with more to come.

A layout editing mode enables the entire user interface to be customized, 
starting from a blank slate or a preset layout.

%prep
%autosetup -p1
# Patch license directory with ours:
sed -i "0,/RENAME LICENSE/{s|DESTINATION \${DOC_INSTALL_DIR}|DESTINATION %{_defaultlicensedir}/%{name}|}" cmake/FooyinInstall.cmake

%build
%cmake
%cmake_build

%install
%cmake_install
%find_lang %{name} --with-qt

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{rDNS}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{rDNS}.metainfo.xml

%files -f %{name}.lang
%license %{_defaultlicensedir}/%{name}/LICENSE
%doc %{_docdir}/%{name}/README
%doc CHANGELOG.md ROADMAP.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{rDNS}.desktop
%{_metainfodir}/%{rDNS}.metainfo.xml
%{_datadir}/icons/hicolor/*/apps/%{rDNS}.png
%{_datadir}/icons/hicolor/scalable/apps/%{rDNS}.svg

%changelog
%autochangelog
